/*
 * ======================================================================
 * Language module interface.
 * Copyright (C) 1998-1999 Roger Butenuth <butenuth@uni-paderborn.de>
 * This is free software, placed under the terms of the
 * GNU General Public License, as published by the Free Software
 * Foundation.  Please see the file COPYING for details.
 * For the latest version see:
 * http://www.uni-paderborn.de/cs/heiss/blinux/index.html
 * $Id: language.h,v 1.5 1999/03/11 21:08:57 butenuth Exp $
 * ======================================================================
 */
#ifndef _LANGUAGE_H
#define _LANGUAGE_H

#include "synthesizer.h"

typedef enum {
    L_SPEAK_PUNCTUATION,
    L_MAX
} lang_par_t;

typedef struct lang_state *lang_state_p;

typedef struct lang_struct {
    lang_state_p state;
    lang_descr_t *lang;
    synth_t      *synth;
    int (*close)(struct lang_struct *l);
    int (*change_synth)(struct lang_struct *l, const char *new_synth);
    int (*speak_string)(struct lang_struct *l, unsigned char *buffer);
    int (*get_param)(struct lang_struct *l, lang_par_t par, int *value);
    int (*set_param)(struct lang_struct *l, lang_par_t par, int value);
} lang_t;

typedef lang_t *lang_open_f(const char *synth);

#endif /*  _LANGUAGE_H */
